# 2022-220

**Main Objective**
Implement a math word problem solving model. Therefore if someone do not have good mathematical knowledge, he/she can use this application to solve their math problems.



**Research Question**
In real world many of school students are showing a great reluctance in mathematics. This is due to the complexity of the theoretical aspects of the mathematics subject. 
Also many students do not have a proper way to find out that the answers to the math problems they have solved are correct. Due to the pandemic, many of school activities
were disrupted and the opportunity to seek advice from teachers was reduced for the students. As a result of this, many students are tempting to give up for the mathematics
subjects. Also most of time parents can’t check theirs children math problem answers because of lack of their mathematics knowledge. 



 **Individual Research Questions**
 
 Member 1(IT19081144)- 
*  The previous models all use the template-based framework to solve MWPs may introduce systematic cumulative errors.
*  Learning through a single training example is not effective and very low with accuracy.

Member 2(IT18160512)-
*  How solve textual MWP input using existing REAL model as the base model and archive   more accuracy than state-of-the-art today. Also we hope to create a new English dataset.

Member 3(IT19238586)-
*  How to reduce background noise while the voice recognition process going.
*  Decrease the processing time and level up the efficiency of a voice recognition process.
*  Identify the accents and local differences correctly.
*  What type of quality have in the capture device 

Member 4(IT19234830)-
*  In the present time lot of students have mathematical solving problems, they can not solve mathematical problems in step by step. In here I provide in detail summary of answer.
   By using this application students can check their answers with using this app. 



**Individual Objectives**

Member 1(IT19081144)-
*  Implement a model which is able to improve the performance by retrieving more questions, which shows the model has the ability to learn by analogy.
*  Develop a novel memory-augmented framework combined with the copy mechanism, REAL, to solve MWPs in a recall and learn manner, in which the model is composed of modules
   of memory, representation, analogy and reasoning.

Member 2(IT18160512)-
*  Retrieved the most similar questions for the given unsolved question by using the Best Memory Augmented Model.
*  Encodes the unsolved problem and each retrieved question (Item Memories) using the best model as the representation module.

Member 3(IT19238586)-
*  Provide the better user experience using the voice recognition technology.
*  Develop a mobile application to use this model easily .
*  Convert the captured voice to the text .
*  Study about the various kind of voice detection methods and algorithms.

Member 4(IT19234830)-
*  If student do not have good English knowledge, he/she can enter the problem in Sinhala language.



**Technologies to be used**

* Python
* React Native
* Node JS
* Speech to Text Engine (One out of: Deep Speech, Google Speech to Text, Microsoft Azure Speech-to-Text)
* Natural Language Toolkit (NLTK)
* TensorFlow
* Extension related frameworks (VS Code/ JetBrains)
* Visual Studio Code
* JetBrains IntelliJ
* JetBrains PyCharm











